Index: build/install-chroot.sh |
diff --git a/build/install-chroot.sh b/build/install-chroot.sh |
index af85fb1f3bedfa68c7bf3bbfceec006ffb4095fc..e49726d599720a9fb8db6b3bc67e8220f7ef8486 100755 |
--- a/build/install-chroot.sh |
+++ b/build/install-chroot.sh |
@@ -392,12 +392,16 @@ if [ -d /media ] && |
sudo sh -c 'cat >>/etc/schroot/mount-'"${target}" |
fi |
-# Share /dev/shm and possibly /run/shm |
+# Share /dev/shm, /run and /run/shm. |
grep -qs '^/dev/shm' /etc/schroot/mount-"${target}" || |
echo '/dev/shm /dev/shm none rw,bind 0 0' | |
sudo sh -c 'cat >>/etc/schroot/mount-'"${target}" |
-if [ -d "/var/lib/chroot/${target}/run" ] && |
- ! grep -qs '^/run/shm' /etc/schroot/mount-"${target}"; then |
+if [ ! -d "/var/lib/chroot/${target}/run" ] && |
+ ! grep -qs '^/run' /etc/schroot/mount-"${target}"; then |
+ echo '/run /run none rw,bind 0 0' | |
+ sudo sh -c 'cat >>/etc/schroot/mount-'"${target}" |
+fi |
+if ! grep -qs '^/run/shm' /etc/schroot/mount-"${target}"; then |
{ [ -d /run ] && echo '/run/shm /run/shm none rw,bind 0 0' || |
echo '/dev/shm /run/shm none rw,bind 0 0'; } | |
sudo sh -c 'cat >>/etc/schroot/mount-'"${target}" |